#
# spec file for package sle-module-certifications-release (Version 15.3)
#
# Copyright (c) 2021 SUSE.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugzilla.suse.com/
#



Name:           sle-module-certifications-release
%define         product sle-module-certifications
Summary:        Certifications Module%{?betaversion: %{betaversion}}
Version:        15.3
Release:        47.1
License:        BSD-3-Clause
Group:          System/Fhs

Provides:       %name-%version
Provides:       product() = sle-module-certifications
Provides:       product(sle-module-certifications) = 15.3-0
%ifarch x86_64
Provides:       product-register-target() = sle%2D15%2Dx86_64
%endif
%ifarch s390x
Provides:       product-register-target() = sle%2D15%2Ds390x
%endif
%ifarch ppc64le
Provides:       product-register-target() = sle%2D15%2Dppc64le
%endif
%ifarch aarch64
Provides:       product-register-target() = sle%2D15%2Daarch64
%endif
Provides:       product-label() = Certifications%2DModule
Provides:       product-cpeid() = cpe%3A%2Fo%3Asuse%3Asle%2Dmodule%2Dcertifications%3A15%3Asp3
Provides:       product-url(bugtracker) = https%3A%2F%2Fbugzilla.suse.com%2F
%ifarch x86_64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Ax86_64%2Fupdate
%endif
%ifarch s390x
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3As390x%2Fupdate
%endif
%ifarch ppc64le
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Appc64le%2Fupdate
%endif
%ifarch aarch64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Aaarch64%2Fupdate
%endif
%ifarch x86_64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Ax86_64%2Fupdate_debug
%endif
%ifarch s390x
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3As390x%2Fupdate_debug
%endif
%ifarch ppc64le
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Appc64le%2Fupdate_debug
%endif
%ifarch aarch64
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.suse.de%2FSUSE%3AUpdates%3ASLE%2DModule%2DCertifications%3A15%2DSP3%3Aaarch64%2Fupdate_debug
%endif
Provides:       product-endoflife()
Provides:       product(sle-module-certifications-SP3) = %version-%release
Obsoletes:      sle-module-certifications-SP3-migration
Obsoletes:      product:sle-module-certifications-SP3-migration

Requires:       product(SUSE_SLE) >= 15.3
Requires:       product(sle-module-basesystem) >= 15.3

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# this package should only be available for the "basearchs" of a product
ExclusiveArch: x86_64 s390x ppc64le aarch64
%description
<p>
        This module contains the certification packages.
        </p>
        <p>
          Access to the Certifications Module is included in your SUSE Linux Enterprise
          subscription. The module has a different lifecycle than SUSE Linux
          Enterprise itself; please check the Release Notes for further details.
        </p>




%prep

%build


%install
mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/sle-module-certifications.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>SUSE</vendor>
  <name>sle-module-certifications</name>
  <version>15.3</version>
  <baseversion>15</baseversion>
  <patchlevel>3</patchlevel>
  <release>0</release>
  <endoflife></endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:suse:sle-module-certifications:15:sp3</cpeid>
  <productline>sle-module-certifications</productline>
  <register>
%ifarch x86_64
      <target>sle-15-x86_64</target>
%endif
%ifarch s390x
      <target>sle-15-s390x</target>
%endif
%ifarch ppc64le
      <target>sle-15-ppc64le</target>
%endif
%ifarch aarch64
      <target>sle-15-aarch64</target>
%endif
    <flavor>module</flavor>
  </register>
  <repositories>
%ifarch x86_64
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:x86_64/update" />
%endif
%ifarch s390x
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:s390x/update" />
%endif
%ifarch ppc64le
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:ppc64le/update" />
%endif
%ifarch aarch64
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:aarch64/update" />
%endif
%ifarch x86_64
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:x86_64/update_debug" />
%endif
%ifarch s390x
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:s390x/update_debug" />
%endif
%ifarch ppc64le
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:ppc64le/update_debug" />
%endif
%ifarch aarch64
      <repository type="update" repoid="obsrepository://build.suse.de/SUSE:Updates:SLE-Module-Certifications:15-SP3:aarch64/update_debug" />
%endif
%ifarch x86_64
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SLE-Module-Certifications:15-SP3:x86_64/sle-module-certifications/15.3/%{_target_cpu}" />
%endif
%ifarch s390x
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SLE-Module-Certifications:15-SP3:s390x/sle-module-certifications/15.3/%{_target_cpu}" />
%endif
%ifarch ppc64le
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SLE-Module-Certifications:15-SP3:ppc64le/sle-module-certifications/15.3/%{_target_cpu}" />
%endif
%ifarch aarch64
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SLE-Module-Certifications:15-SP3:aarch64/sle-module-certifications/15.3/%{_target_cpu}" />
%endif
  </repositories>
  <summary>Certifications Module</summary>
  <shortsummary>Certifications-Module</shortsummary>
  <description>&lt;p&gt;
        This module contains the certification packages.
        &lt;/p&gt;
        &lt;p&gt;
          Access to the Certifications Module is included in your SUSE Linux Enterprise
          subscription. The module has a different lifecycle than SUSE Linux
          Enterprise itself; please check the Release Notes for further details.
        &lt;/p&gt;</description>
  <urls>
    <url name="bugtracker">https://bugzilla.suse.com/</url>
  </urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig/>
  <productdependency relationship="requires" name="SUSE_SLE" baseversion="15" patchlevel="3" flag="GE"/>
  <productdependency relationship="requires" name="sle-module-basesystem" baseversion="15" patchlevel="3" flag="GE"/>
</product>

EOF



%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%changelog
